org.apache.sling.provisioning.model.io

## Interface ModelArchiveWriter.ArtifactProvider

Enclosing class:
  ModelArchiveWriter

    public static interface ModelArchiveWriter.ArtifactProvider

### Method Summary

All Methods Instance Methods Abstract Methods
`InputStream` `getInputStream(Artifact artifact)` Provide an input stream for the artifact.

### Method Detail

#### getInputStream

    InputStream getInputStream(Artifact artifact)
                        throws IOException

Provide an input stream for the artifact. The input stream will be closed by the caller.

Parameters:
  `artifact` - The artifact
Returns:
  The input stream
Throws:
  `IOException` - If the input stream can't be provided